PUT /api/v202110/place/energyStar/submissionType

Update a list of places to be submitted to ENERGY STAR manually or automatically

UpdateEnergyStarSubmissionTypeV202110 Permissions: BuildingsAndOrganizations (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

PlaceSubmissionTypeRequest
Property Description Type
placeIds The list of places whose submission types will be updated Cannot be Empty Required (defined) integer[]
submissionType The submission type to apply One of ‘Automatic’, ‘Manual’ Required (defined) string
Example Request Body application/json
{  "placeIds": [
    1
  ],  "submissionType": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected Required (defined) integer (int32)
updated Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}